> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister Abonnements



## OpenAPI

````yaml openapi.json get /abonnements/
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /abonnements/:
    get:
      tags:
        - Abonnements
        - Abonnements
      summary: Lister Abonnements
      operationId: lister_abonnements_abonnements__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AbonnementRead'
                type: array
                title: Response Lister Abonnements Abonnements  Get
components:
  schemas:
    AbonnementRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        marchand_id:
          type: string
          format: uuid
          title: Marchand Id
        montant:
          type: number
          title: Montant
        date_debut:
          type: string
          format: date-time
          title: Date Debut
        date_expiration:
          type: string
          format: date-time
          title: Date Expiration
        statut:
          $ref: '#/components/schemas/StatutAbonnement'
      type: object
      required:
        - id
        - marchand_id
        - montant
        - date_debut
        - date_expiration
        - statut
      title: AbonnementRead
    StatutAbonnement:
      type: string
      enum:
        - actif
        - expiré
        - suspendu
      title: StatutAbonnement

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.